#if !defined(_CFGEDIT_H_)
#define _CFGEDIT_H_

// CfgEdit.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCfgEdit window

class CCfgEdit : public CEdit
{
// Construction
public:
	CCfgEdit();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCfgEdit)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CCfgEdit();

	// Generated message map functions
protected:
	//{{AFX_MSG(CCfgEdit)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnNcPaint();
	//afx_msg void OnPaint();
	afx_msg HBRUSH CtlColor(CDC* pDC, UINT nCtlColor);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP();

	CBrush brush_;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_CFGEDIT_H_)
